import type { Dispatch } from 'redux';
import type { IndexField } from '../create-index/fields';
declare const reducer: import("redux").Reducer<import("redux").CombinedState<{
    dataService: import("mongodb-data-service").DataService | null;
    appRegistry: unknown;
    namespace: string;
    serverVersion: string;
    inProgress: any;
    isVisible: any;
    fields: IndexField[];
    schemaFields: string[];
    error: string | null;
    options: {
        name: {
            enabled: boolean;
        } & {
            value: string;
        };
        unique: {
            enabled: boolean;
        } & {
            value: boolean;
        };
        sparse: {
            enabled: boolean;
        } & {
            value: boolean;
        };
        collation: {
            enabled: boolean;
        } & {
            value: string;
        };
        expireAfterSeconds: {
            enabled: boolean;
        } & {
            value: string;
        };
        partialFilterExpression: {
            enabled: boolean;
        } & {
            value: string;
        };
        wildcardProjection: {
            enabled: boolean;
        } & {
            value: string;
        };
        columnstoreProjection: {
            enabled: boolean;
        } & {
            value: string;
        };
    };
}>, import("redux").Action<any>>;
export type RootState = ReturnType<typeof reducer>;
export type CreateIndexSpec = {
    [key: string]: string | number;
};
export default reducer;
export declare const closeCreateIndexModal: () => (dispatch: Dispatch) => void;
export declare const createIndex: () => (dispatch: Dispatch, getState: () => RootState) => Promise<void>;
//# sourceMappingURL=index.d.ts.map